Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class PermissionKitItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.bgsecure.common.bean.PermissionKitItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class PermissionKitItem extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PermissionKitItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getActionCount()`
  `int`
  `getActionGroupCount()`
  `String`
  `getDescription()`
  `int`
  `getRoleCount()`
  `PermissionKitItem`
  `setActionCount(int actionCount)`
  `PermissionKitItem`
  `setActionGroupCount(int actionGroupCount)`
  `PermissionKitItem`
  `setDescription(String description)`
  `PermissionKitItem`
  `setId(int id)`
  Устанавливает id объекта
  `PermissionKitItem`
  `setRoleCount(int roleCount)`
  `PermissionKitItem`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### PermissionKitItem

    public PermissionKitItem()

- ## Method Details

  - ### getActionCount

    public int getActionCount()

  - ### getActionGroupCount

    public int getActionGroupCount()

  - ### getDescription

    public String getDescription()

  - ### getRoleCount

    public int getRoleCount()

  - ### setActionCount

    public PermissionKitItem setActionCount(int actionCount)

  - ### setActionGroupCount

    public PermissionKitItem setActionGroupCount(int actionGroupCount)

  - ### setDescription

    public PermissionKitItem setDescription(String description)

  - ### setId

    public PermissionKitItem setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setRoleCount

    public PermissionKitItem setRoleCount(int roleCount)

  - ### setTitle

    public PermissionKitItem setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`